Package com.microblink.blinkid.entities.recognizers.blinkid.generic.classinfo

# Class ClassInfo

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.classinfo.ClassInfo

public final class ClassInfo extends Object
Contains document class information.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassInfo(long nativeContext, Object keep)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Country`
  `getCountry()`
  The document country.
  `String`
  `getCountryName()`
  The name of the country that issued the scanned document.
  `String`
  `getIsoAlpha2CountryCode()`
  The 2 letter ISO code of the country that issued the scanned document.
  `String`
  `getIsoAlpha3CountryCode()`
  The 3 letter ISO code of the country that issued the scanned document.
  `String`
  `getIsoNumericCountryCode()`
  The ISO numeric code of the country that issued the scanned document.
  `Region`
  `getRegion()`
  The document region.
  `Type`
  `getType()`
  The type of the scanned document.
  `boolean`
  `isEmpty()`
  Flag which indicates whether this class info is empty or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassInfo

    public ClassInfo(long nativeContext, @Nullable Object keep)
    Parameters:
      `nativeContext` - Native class info.
      `keep` - Owner of the native class info.

- ## Method Details

  - ### getCountry

    @NonNull public Country getCountry()
    The document country.

  - ### getRegion

    @NonNull public Region getRegion()
    The document region.

  - ### getType

    @NonNull public Type getType()
    The type of the scanned document.

  - ### getCountryName

    @NonNull public String getCountryName()
    The name of the country that issued the scanned document.

  - ### getIsoNumericCountryCode

    @NonNull public String getIsoNumericCountryCode()
    The ISO numeric code of the country that issued the scanned document.

  - ### getIsoAlpha2CountryCode

    @NonNull public String getIsoAlpha2CountryCode()
    The 2 letter ISO code of the country that issued the scanned document.

  - ### getIsoAlpha3CountryCode

    @NonNull public String getIsoAlpha3CountryCode()
    The 3 letter ISO code of the country that issued the scanned document.

  - ### isEmpty

    public boolean isEmpty()
    Flag which indicates whether this class info is empty or not.